Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSFXManager Class Reference

`#include <Channels.hpp>`

List of all members.

## Public Member Functions
| deSFXManager ()
virtual | ~deSFXManager ()
deBoolean | Initialize (IDirectSoundBuffer *buffer)
void | Destroy ()
void | GetGargleSettings (deSFX_Gargle *gargle)
void | GetChorusSettings (deSFX_Chorus *chorus)
void | GetFlangerSettings (deSFX_Flanger *flanger)
void | GetEchoSettings (deSFX_Echo *echo)
void | GetDistortionSettings (deSFX_Distortion *distortion)
void | GetCompressorSettings (deSFX_Compressor *compressor)
void | GetParamEqSettings (deSFX_ParamEQ *param_eq)
void | GetReverbSettings (deSFX_Reverb *reverb)
void | SetGargleSettings (deSFX_Gargle *gargle)
void | SetChorusSettings (deSFX_Chorus *chorus)
void | SetFlangerSettings (deSFX_Flanger *flanger)
void | SetEchoSettings (deSFX_Echo *echo)
void | SetDistortionSettings (deSFX_Distortion *distortion)
void | SetCompressorSettings (deSFX_Compressor *compressor)
void | SetParamEqSettings (deSFX_ParamEQ *param_eq)
void | SetReverbSettings (deSFX_Reverb *reverb)
deBoolean | ActivateFX ()
deBoolean | EnableFX (deSFX_Type type)
deBoolean | DisableFX ()
deBoolean | Play (deBoolean loop=deFALSE)
deBoolean | IsPlaying ()
void | Stop ()
void | SetVolume (float vol)
## Public Attributes
IDirectSoundBuffer8 * | m_pBuffer
IDirectSoundFXGargle * | m_pGargle
IDirectSoundFXChorus * | m_pChorus
IDirectSoundFXFlanger * | m_pFlanger
IDirectSoundFXEcho * | m_pEcho
IDirectSoundFXDistortion * | m_pDistortion
IDirectSoundFXCompressor * | m_pCompressor
IDirectSoundFXParamEq * | m_pParamEq
IDirectSoundFXWavesReverb * | m_pReverb
DSFXGargle | m_GargleSettings
DSFXChorus | m_ChorusSettings
DSFXFlanger | m_FlangerSettings
DSFXEcho | m_EchoSettings
DSFXDistortion | m_DistortionSettings
DSFXCompressor | m_CompressorSettings
DSFXParamEq | m_ParamEqSettings
DSFXWavesReverb | m_ReverbSettings
DSEFFECTDESC | m_EffectDesc [DESFX_ENUM]
const GUID * | m_RefID [DESFX_ENUM]
LPVOID * | m_pIntPtr [DESFX_ENUM]
DWORD | m_NumEffects
DWORD | m_NumActiveBufs

## Constructor & Destructor Documentation

deSFXManager::deSFXManager | ( |  | ) |

deSFXManager::~deSFXManager | ( |  | ) | `[virtual]`

## Member Function Documentation

deBoolean deSFXManager::ActivateFX | ( |  | ) |

void deSFXManager::Destroy | ( |  | ) |

deBoolean deSFXManager::DisableFX | ( |  | ) |

deBoolean deSFXManager::EnableFX | ( | deSFX_Type | type | ) |

void deSFXManager::GetChorusSettings | ( | deSFX_Chorus * | chorus | ) |

void deSFXManager::GetCompressorSettings | ( | deSFX_Compressor * | compressor | ) |

void deSFXManager::GetDistortionSettings | ( | deSFX_Distortion * | distortion | ) |

void deSFXManager::GetEchoSettings | ( | deSFX_Echo * | echo | ) |

void deSFXManager::GetFlangerSettings | ( | deSFX_Flanger * | flanger | ) |

void deSFXManager::GetGargleSettings | ( | deSFX_Gargle * | gargle | ) |

void deSFXManager::GetParamEqSettings | ( | deSFX_ParamEQ * | param_eq | ) |

void deSFXManager::GetReverbSettings | ( | deSFX_Reverb * | reverb | ) |

deBoolean deSFXManager::Initialize | ( | IDirectSoundBuffer * | buffer | ) |

deBoolean deSFXManager::IsPlaying | ( |  | ) |

deBoolean deSFXManager::Play | ( | deBoolean | loop = deFALSE | ) |

void deSFXManager::SetChorusSettings | ( | deSFX_Chorus * | chorus | ) |

void deSFXManager::SetCompressorSettings | ( | deSFX_Compressor * | compressor | ) |

void deSFXManager::SetDistortionSettings | ( | deSFX_Distortion * | distortion | ) |

void deSFXManager::SetEchoSettings | ( | deSFX_Echo * | echo | ) |

void deSFXManager::SetFlangerSettings | ( | deSFX_Flanger * | flanger | ) |

void deSFXManager::SetGargleSettings | ( | deSFX_Gargle * | gargle | ) |

void deSFXManager::SetParamEqSettings | ( | deSFX_ParamEQ * | param_eq | ) |

void deSFXManager::SetReverbSettings | ( | deSFX_Reverb * | reverb | ) |

void deSFXManager::SetVolume | ( | float | vol | ) |

void deSFXManager::Stop | ( |  | ) |

## Member Data Documentation

DSFXChorus deSFXManager::m_ChorusSettings

DSFXCompressor deSFXManager::m_CompressorSettings

DSFXDistortion deSFXManager::m_DistortionSettings

DSFXEcho deSFXManager::m_EchoSettings

DSEFFECTDESC deSFXManager::m_EffectDesc[DESFX_ENUM]

DSFXFlanger deSFXManager::m_FlangerSettings

DSFXGargle deSFXManager::m_GargleSettings

DWORD deSFXManager::m_NumActiveBufs

DWORD deSFXManager::m_NumEffects

DSFXParamEq deSFXManager::m_ParamEqSettings

IDirectSoundBuffer8* deSFXManager::m_pBuffer

IDirectSoundFXChorus* deSFXManager::m_pChorus

IDirectSoundFXCompressor* deSFXManager::m_pCompressor

IDirectSoundFXDistortion* deSFXManager::m_pDistortion

IDirectSoundFXEcho* deSFXManager::m_pEcho

IDirectSoundFXFlanger* deSFXManager::m_pFlanger

IDirectSoundFXGargle* deSFXManager::m_pGargle

LPVOID* deSFXManager::m_pIntPtr[DESFX_ENUM]

IDirectSoundFXParamEq* deSFXManager::m_pParamEq

IDirectSoundFXWavesReverb* deSFXManager::m_pReverb

const GUID* deSFXManager::m_RefID[DESFX_ENUM]

DSFXWavesReverb deSFXManager::m_ReverbSettings

The documentation for this class was generated from the following files:

- Channels.hpp
- SoundFXManager.cpp